## golang-github-containers-storage 1.51.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:58:16 +1000

golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:44:04 +1000

golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:53:43 +0530

golang-github-containers-storage (1.51.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 14:58:21 -0500

golang-github-containers-storage (1.51.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.51.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Nov 2023 17:46:03 -0500

=== debian/control ===
Source: golang-github-containers-storage
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-golang,
               ffjson,
               go-md2man,
               golang-github-burntsushi-toml-dev,
               golang-github-containerd-stargz-snapshotter-dev (>= 0.8.0-3),
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-containerd-btrfs-dev (>= 1.0.0),
               golang-github-datadog-zstd-dev,
               golang-github-docker-go-units-dev,
               golang-github-google-go-intervals-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-json-iterator-go-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-moby-sys-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-selinux-dev (>= 1.5.0),
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev,
               golang-go (>> 2:1.14~~),
               golang-go-patricia-dev,
               golang-go-zfs-dev,
               golang-gocapability-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev (>> 0.0~git20201223),
               libbtrfs-dev,
               libdevmapper-dev
Standards-Version: 4.5.0
Homepage: https://github.com/containers/storage
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
XS-Go-Import-Path: github.com/containers/storage
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-containers-storage-dev
Architecture: all
Depends: golang-github-burntsushi-toml-dev,
         golang-github-containerd-stargz-snapshotter-dev,
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-datadog-zstd-dev,
         golang-github-docker-go-units-dev,
         golang-github-google-go-intervals-dev,
         golang-github-gotestyourself-gotest.tools-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-json-iterator-go-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-moby-sys-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-selinux-dev (>= 1.0.0),
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-pquerna-ffjson-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vbatts-tar-split-dev,
         golang-go-patricia-dev,
         golang-go-zfs-dev,
         golang-gocapability-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         libbtrfs-dev,
         libdevmapper-dev,
         ${misc:Depends}
Breaks: golang-github-containers-buildah-dev (<< 1.30)
Description: Go library for handling how containers are stored on disk
 storage is a Go library which aims to provide methods for storing
 filesystem layers, container images, and containers.  A containers-storage
 CLI wrapper is also included for manual and scripting use.
 .
 This package contains the library.

Package: containers-storage
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CLI tools for handling how containers are stored on disk
 storage is a Go library which aims to provide methods for storing
 filesystem layers, container images, and containers.  A containers-storage
 CLI wrapper is also included for manual and scripting use.
 .
 This package contains the CLI tools.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
export DH_GOLANG_INSTALL_EXTRA := $(wildcard types/*.conf)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Some tests require root privileges. Upstream provides
	# scripts to easily setup test VMs using vagrant, which
	# is not appropriate in a debian package build.
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system pkg/unshare pkg/directory pkg/fileutils" \
	dh_auto_test -v
	rm -rf $(CURDIR)/debian/tmp-home
endif

%:
	dh $@ --buildsystem=golang --with=golang --ignore=bin/example

override_dh_installman:
	make -C docs GOMD2MAN=go-md2man
	dh_installman -pcontainers-storage docs/*.1 docs/*.5

## golang-github-containers-storage 1.53.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.53.0+ds1-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 12:32:05 +1000

golang-github-containers-storage (1.53.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 22:42:58 +0200

golang-github-containers-storage (1.53.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.53.0

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Mar 2024 14:51:41 -0500

golang-github-containers-storage (1.52.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.52.0

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Feb 2024 11:34:35 -0500

## golang-github-containers-storage 1.55.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.55.1+ds1-1) unstable; urgency=medium

  * New upstream release: v1.55.1
    - Bump dependency on securejoin, addresses CVE-2024-9676

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2024 09:34:17 -0400

golang-github-containers-storage (1.55.0+ds1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:30:07 -0400

golang-github-containers-storage (1.55.0+ds1-2) experimental; urgency=medium

  * containers-storage: rename, allow output on stderr
  * Tighten breaks on containers/{image,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Aug 2024 07:44:11 -0400

golang-github-containers-storage (1.55.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.55.0
  * Drop issue1715.patch, no longer needed
  * Skip TestAttachLoopbackDeviceRace if /dev/loop-control is absent
  * debian/copyright: clarify and simplify
  * Drop depends on ffjson, not needed
  * cleanup dependencies on xz/std compressors
  * Add some basic autopkgtests
  * Make containers-storage depend on uidmap

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Aug 2024 17:07:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -10,15 +9,15 @@
                ffjson,
                go-md2man,
                golang-github-burntsushi-toml-dev,
+               golang-github-containerd-btrfs-dev (>= 1.0.0),
                golang-github-containerd-stargz-snapshotter-dev (>= 0.8.0-3),
-               golang-github-cyphar-filepath-securejoin-dev,
-               golang-github-containerd-btrfs-dev (>= 1.0.0),
-               golang-github-datadog-zstd-dev,
+               golang-github-cyphar-filepath-securejoin-dev (>= 0.3.4),
                golang-github-docker-go-units-dev,
                golang-github-google-go-intervals-dev,
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-json-iterator-go-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-moby-sys-dev,
@@ -27,7 +26,6 @@
                golang-github-opencontainers-selinux-dev (>= 1.5.0),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
-               golang-github-pquerna-ffjson-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ulikunitz-xz-dev,
@@ -52,13 +50,13 @@
 Architecture: all
 Depends: golang-github-burntsushi-toml-dev,
          golang-github-containerd-stargz-snapshotter-dev,
-         golang-github-cyphar-filepath-securejoin-dev,
-         golang-github-datadog-zstd-dev,
+         golang-github-cyphar-filepath-securejoin-dev (>= 0.3.4),
          golang-github-docker-go-units-dev,
          golang-github-google-go-intervals-dev,
          golang-github-gotestyourself-gotest.tools-dev,
          golang-github-hashicorp-go-multierror-dev,
          golang-github-json-iterator-go-dev,
+         golang-github-klauspost-compress-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-mattn-go-shellwords-dev,
          golang-github-moby-sys-dev,
@@ -67,9 +65,9 @@
          golang-github-opencontainers-selinux-dev (>= 1.0.0),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
-         golang-github-pquerna-ffjson-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-stretchr-testify-dev,
+         golang-github-ulikunitz-xz-dev,
          golang-github-vbatts-tar-split-dev,
          golang-go-patricia-dev,
          golang-go-zfs-dev,
@@ -79,7 +77,9 @@
          libbtrfs-dev,
          libdevmapper-dev,
          ${misc:Depends}
-Breaks: golang-github-containers-buildah-dev (<< 1.30)
+Breaks: golang-github-containers-buildah-dev (<< 1.37),
+        golang-github-containers-image-dev (<< 5.32),
+        libpod (<< 5.2)
 Description: Go library for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
  filesystem layers, container images, and containers.  A containers-storage
@@ -90,7 +90,7 @@
 Package: containers-storage
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: uidmap, ${misc:Depends}, ${shlibs:Depends}
 Description: CLI tools for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
  filesystem layers, container images, and containers.  A containers-storage

## golang-github-containers-storage 1.56.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.56.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 09:55:54 -0500

golang-github-containers-storage (1.56.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.56.0
  * bump dependency on golang-github-moby-sys-dev
  * TestStoreMultiList: Skip if not running as root

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Nov 2024 07:33:18 -0500

## golang-github-containers-storage 1.56.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.56.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jan 2025 15:44:54 -0500

## golang-github-containers-storage 1.57.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.57.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Feb 2025 06:39:44 -0500

## golang-github-containers-storage 1.57.2+ds1

=== Makefile ===
.PHONY: \
	all \
	binary \
	clean \
	codespell \
	containers-storage \
	cross \
	default \
	docs \
	gccgo \
	help \
	install \
	install.docs \
	install.tools \
	lint \
	local-binary \
	local-cross \
	local-gccgo \
	local-test \
	local-test-integration \
	local-test-unit \
	local-validate \
	test-integration \
	test-unit \
	validate \
	vendor \
	vendor-in-container

NATIVETAGS :=
AUTOTAGS := $(shell ./hack/btrfs_tag.sh) $(shell ./hack/libsubid_tag.sh)
BUILDFLAGS := -tags "$(AUTOTAGS) $(TAGS)" $(FLAGS)
GO ?= go
TESTFLAGS := $(shell $(GO) test -race $(BUILDFLAGS) ./pkg/stringutils 2>&1 > /dev/null && echo -race)

# N/B: This value is managed by Renovate, manual changes are
# possible, as long as they don't disturb the formatting
# (i.e. DO NOT ADD A 'v' prefix!)
GOLANGCI_LINT_VERSION := 1.64.5

default all: local-binary docs local-validate local-cross ## validate all checks, build and cross-build\nbinaries and docs

clean: ## remove all built files
	$(RM) -f containers-storage containers-storage.* docs/*.1 docs/*.5

containers-storage: ## build using gc on the host
	$(GO) build -compiler gc $(BUILDFLAGS) ./cmd/containers-storage

codespell:
	codespell

binary local-binary: containers-storage

local-gccgo gccgo: ## build using gccgo on the host
	GCCGO=$(PWD)/hack/gccgo-wrapper.sh $(GO) build -compiler gccgo $(BUILDFLAGS) -o containers-storage.gccgo ./cmd/containers-storage

local-cross cross: ## cross build the binaries for arm, darwin, and freebsd
	@for target in linux/amd64 linux/386 linux/arm linux/arm64 linux/ppc64 linux/ppc64le linux/riscv64 linux/s390x linux/mips linux/mipsle linux/mips64 linux/mips64le darwin/amd64 windows/amd64 freebsd/amd64 freebsd/arm64 ; do \
		os=`echo $${target} | cut -f1 -d/` ; \
		arch=`echo $${target} | cut -f2 -d/` ; \
		suffix=$${os}.$${arch} ; \
		echo env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags \"$(NATIVETAGS) $(TAGS)\" $(FLAGS) ./... ; \
		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags "$(NATIVETAGS) $(TAGS)" $(FLAGS) ./... || exit 1 ; \
		echo env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags \"$(NATIVETAGS) $(TAGS)\" $(FLAGS) -o containers-storage.$${suffix} ./cmd/containers-storage ; \
		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags "$(NATIVETAGS) $(TAGS)" $(FLAGS) -o containers-storage.$${suffix} ./cmd/containers-storage || exit 1 ; \
	done

docs: install.tools ## build the docs on the host
	$(MAKE) -C docs docs

local-test: local-binary local-test-unit local-test-integration ## build the binaries and run the tests

local-test-unit test-unit: local-binary ## run the unit tests on the host (requires\nsuperuser privileges)
	@$(GO) test -count 1 $(BUILDFLAGS) $(TESTFLAGS) ./...

local-test-integration test-integration: local-binary ## run the integration tests on the host (requires\nsuperuser privileges)
	@cd tests; ./test_runner.bash

local-validate validate: install.tools ## validate DCO on the host
	@./hack/git-validation.sh

install.tools:
	$(MAKE) -C tests/tools GOLANGCI_LINT_VERSION=$(GOLANGCI_LINT_VERSION)

install.docs: docs
	$(MAKE) -C docs install

install: install.docs

lint: install.tools
	tests/tools/build/golangci-lint run --build-tags="$(AUTOTAGS) $(TAGS)"

help: ## this help
	@awk 'BEGIN {FS = ":.*?## "} /^[a-z A-Z_-]+:.*?## / {gsub(" ",",",$$1);gsub("\\\\n",sprintf("\n%22c"," "), $$2);printf "\033[36m%-21s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor

vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

=== debian/changelog ===
golang-github-containers-storage (1.57.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2025 21:13:19 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
-               golang-github-moby-sys-dev,
+               golang-github-moby-sys-dev (>> 0.0~git20241107),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-selinux-dev (>= 1.5.0),

## golang-github-containers-storage 1.59.1%2Bds1

=== docs/Makefile ===
GOMD2MAN = ../tests/tools/build/go-md2man
PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

.PHONY: docs
docs: $(patsubst %.md,%.1,$(filter-out %.5.md,$(wildcard *.md))) containers-storage.conf.5

%.1: %.md
	$(GOMD2MAN) -in $^ -out $@

containers-storage.conf.5: containers-storage.conf.5.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 *.5 ${MANINSTALLDIR}/man5/

## golang-github-containers-storage 1.59.1+ds1

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.64.5
+GOLANGCI_LINT_VERSION := 2.2.1
 
 default all: local-binary docs local-validate local-cross ## validate all checks, build and cross-build\nbinaries and docs

=== tests/tools/Makefile ===
GO := go
BUILDDIR := build

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

define go-build
	$(shell cd `pwd` && $(GO) build -mod=vendor -o $(BUILDDIR)/$(shell basename $(1)) $(1))
	@echo > /dev/null
endef

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

$(BUILDDIR): \
	$(BUILDDIR)/git-validation \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/golangci-lint

$(BUILDDIR)/git-validation:
	$(call go-build,./vendor/github.com/vbatts/git-validation)

$(BUILDDIR)/go-md2man:
	$(call go-build,./vendor/github.com/cpuguy83/go-md2man)

$(BUILDDIR)/golangci-lint:
	@[ "${GOLANGCI_LINT_VERSION}" ] || ( echo "GOLANGCI_LINT_VERSION is not set"; exit 1 )
	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/v$(GOLANGCI_LINT_VERSION)/install.sh | sh -s -- -b ./$(BUILDDIR) v$(GOLANGCI_LINT_VERSION)

=== debian/changelog ===
golang-github-containers-storage (1.59.1+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Sep 2025 06:12:46 -0400

golang-github-containers-storage (1.59.1+ds1-2) experimental; urgency=medium

  * Refresh patches
  * TestStoreDelete: Skip if running with insufficient priviledges

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 12:27:50 -0400

golang-github-containers-storage (1.59.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version
  * Update debian/copyright
  * Use Static-Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 07:34:07 -0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
@@ -89,7 +89,7 @@
 
 Package: containers-storage
 Architecture: any
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: uidmap, ${misc:Depends}, ${shlibs:Depends}
 Description: CLI tools for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
-export DH_GOLANG_INSTALL_EXTRA := $(wildcard types/*.conf)
+export DH_GOLANG_INSTALL_EXTRA := $(wildcard types/*.conf) VERSION
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: build-only
Depends: dh-golang, golang-any, golang-github-containers-storage-dev
Restrictions: allow-stderr

Tests: containers-storage-cli
Depends: containers-storage
Restrictions: allow-stderr, needs-root, skippable

Tests: bats
Architecture: amd64, arm64
Depends: bats,
         @,
         @recommends@
Restrictions: allow-stderr, needs-internet, isolation-machine, needs-root

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+ds1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]ds\d*}{},\
" https://github.com/containers/storage/tags \
  .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-containers-storage 1.61.0%2Bds1

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,5 @@
 
 Tests: bats
 Architecture: amd64, arm64
-Depends: bats,
-         @,
-         @recommends@
-Restrictions: allow-stderr, needs-internet, isolation-machine, needs-root
+Depends: bats, @, @recommends@
+Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root

## golang-github-containers-storage 1.61.0+ds1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 	all \
 	binary \
 	clean \
-	codespell \
 	containers-storage \
 	cross \
 	default \
@@ -11,7 +10,6 @@
 	help \
 	install \
 	install.docs \
-	install.tools \
 	lint \
 	local-binary \
 	local-cross \
@@ -19,12 +17,8 @@
 	local-test \
 	local-test-integration \
 	local-test-unit \
-	local-validate \
 	test-integration \
-	test-unit \
-	validate \
-	vendor \
-	vendor-in-container
+	test-unit
 
 NATIVETAGS :=
 AUTOTAGS := $(shell ./hack/btrfs_tag.sh) $(shell ./hack/libsubid_tag.sh)
@@ -32,21 +26,13 @@
 GO ?= go
 TESTFLAGS := $(shell $(GO) test -race $(BUILDFLAGS) ./pkg/stringutils 2>&1 > /dev/null && echo -race)
 
-# N/B: This value is managed by Renovate, manual changes are
-# possible, as long as they don't disturb the formatting
-# (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 2.2.1
-
-default all: local-binary docs local-validate local-cross ## validate all checks, build and cross-build\nbinaries and docs
+default all: local-binary docs local-cross ## build and cross-build\nbinaries and docs
 
 clean: ## remove all built files
 	$(RM) -f containers-storage containers-storage.* docs/*.1 docs/*.5
 
 containers-storage: ## build using gc on the host
 	$(GO) build -compiler gc $(BUILDFLAGS) ./cmd/containers-storage
-
-codespell:
-	codespell
 
 binary local-binary: containers-storage
 
@@ -64,7 +50,7 @@
 		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags "$(NATIVETAGS) $(TAGS)" $(FLAGS) -o containers-storage.$${suffix} ./cmd/containers-storage || exit 1 ; \
 	done
 
-docs: install.tools ## build the docs on the host
+docs: ## build the docs on the host
 	$(MAKE) -C docs docs
 
 local-test: local-binary local-test-unit local-test-integration ## build the binaries and run the tests
@@ -75,27 +61,23 @@
 local-test-integration test-integration: local-binary ## run the integration tests on the host (requires\nsuperuser privileges)
 	@cd tests; ./test_runner.bash
 
-local-validate validate: install.tools ## validate DCO on the host
-	@./hack/git-validation.sh
-
-install.tools:
-	$(MAKE) -C tests/tools GOLANGCI_LINT_VERSION=$(GOLANGCI_LINT_VERSION)
-
 install.docs: docs
 	$(MAKE) -C docs install
 
 install: install.docs
 
-lint: install.tools
-	tests/tools/build/golangci-lint run --build-tags="$(AUTOTAGS) $(TAGS)"
+lint:
+	golangci-lint run --build-tags="$(AUTOTAGS) $(TAGS)"
 
 help: ## this help
 	@awk 'BEGIN {FS = ":.*?## "} /^[a-z A-Z_-]+:.*?## / {gsub(" ",",",$$1);gsub("\\\\n",sprintf("\n%22c"," "), $$2);printf "\033[36m%-21s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)
 
-vendor-in-container:
-	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor
+.PHONY: tidy-in-container
+tidy-in-container:
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make tidy
 
-vendor:
+.PHONY: tidy
+tidy:
 	$(GO) mod tidy
-	$(GO) mod vendor
 	$(GO) mod verify
+	$(GO) mod edit -toolchain none

=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GOMD2MAN = ../tests/tools/build/go-md2man
+GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
 PREFIX ?= ${DESTDIR}/usr
 MANINSTALLDIR=${PREFIX}/share/man
 MANPAGES_MD = $(wildcard docs/*.5.md)

=== debian/changelog ===
golang-github-containers-storage (1.61.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Switch to fetch sources from monorepo, cf.
    https://blog.podman.io/2025/08/migration-to-the-container-libs-monorepo-is-complete/
  * Switch to new golang import path go.podman.io/storage, keep compat symlink

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Nov 2025 07:12:42 -0500

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
-XS-Go-Import-Path: github.com/containers/storage
+XS-Go-Import-Path: go.podman.io/storage
 Testsuite: autopkgtest-pkg-go
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -31,3 +31,8 @@
 override_dh_installman:
 	make -C docs GOMD2MAN=go-md2man
 	dh_installman -pcontainers-storage docs/*.1 docs/*.5
+
+# compatibility symlink
+execute_after_dh_auto_install:
+	mkdir -pv debian/tmp/usr/share/gocode/src/github.com/containers
+	ln -svf ../../go.podman.io/storage debian/tmp/usr/share/gocode/src/github.com/containers/storage

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/containers/container-libs/git/matching-refs/tags/storage
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/storage/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
Repack: yes
Update-Script: debian/repack

## golang-github-containers-storage 1.62.0

=== debian/changelog ===
golang-github-containers-storage (1.62.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed
  * debian/copyright: various corrections

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Mar 2026 08:16:01 -0500

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
